From 98ccce6e1f51e64aad48ef12131386661c7ad47e Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Mon, 10 Jun 2019 21:33:53 +0200
Subject: [PATCH 1/7] biosdisk: mark broken outside of x86

---
 srcpkgs/biosdisk/template | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/srcpkgs/biosdisk/template b/srcpkgs/biosdisk/template
index 99fd58ceaa8..324d249d36c 100644
--- a/srcpkgs/biosdisk/template
+++ b/srcpkgs/biosdisk/template
@@ -11,3 +11,8 @@ license="GPL-2.0"
 homepage="https://github.com/dell/biosdisk"
 distfiles="https://github.com/dell/biosdisk/archive/${version}.tar.gz"
 checksum=e89cf680914ab3d5bbb549c124c6c29594ef495880befc0d059ec8a3aaf1e3e7
+
+case "$XBPS_TARGET_MACHINE" in
+	i686*|x86_64*) ;;
+	*) broken="only for x86";;
+esac

From b29d0cc2160ddc9204f526472a476daa57272532 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Mon, 10 Jun 2019 21:36:05 +0200
Subject: [PATCH 2/7] chronograf: broken on ppc (js module failure)

---
 srcpkgs/chronograf/template | 1 +
 1 file changed, 1 insertion(+)

diff --git a/srcpkgs/chronograf/template b/srcpkgs/chronograf/template
index 41c58dafb34..b01da59cd39 100644
--- a/srcpkgs/chronograf/template
+++ b/srcpkgs/chronograf/template
@@ -20,6 +20,7 @@ make_dirs="${_chronograf_homedir} 0755 _chronograf _chronograf"
 
 case "$XBPS_TARGET_MACHINE" in
 	i686*) broken="yarn not available" ;;
+	ppc*) broken="ftbfs in some js module" ;;
 esac
 
 pre_build() {

From 80ef7c41677c48508c9dead4aff83b1a8d92b517 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Mon, 10 Jun 2019 21:37:12 +0200
Subject: [PATCH 3/7] cparser: also broken on 32-bit ppc

---
 srcpkgs/cparser/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/cparser/template b/srcpkgs/cparser/template
index 351f6282b4f..b550adc4612 100644
--- a/srcpkgs/cparser/template
+++ b/srcpkgs/cparser/template
@@ -13,7 +13,7 @@ distfiles="https://github.com/MatzeB/cparser/archive/cparser-${version}.tar.gz"
 checksum=0965aa23d8ed7d4cce309806fec2d2c18ad20a74a084340baed0dc874b24175b
 
 case "$XBPS_TARGET_MACHINE" in
-	aarch64*|ppc64*) broken="requires broken libfirm" ;;
+	aarch64*|ppc*) broken="requires broken libfirm" ;;
 esac
 
 post_extract() {

From e996ac9c4c8d04b78e5580ef3bfb320a93207979 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Mon, 10 Jun 2019 21:37:40 +0200
Subject: [PATCH 4/7] libfirm: also broken on 32-bit ppc

---
 srcpkgs/libfirm/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libfirm/template b/srcpkgs/libfirm/template
index 794e04019fa..eedbd928007 100644
--- a/srcpkgs/libfirm/template
+++ b/srcpkgs/libfirm/template
@@ -13,7 +13,7 @@ distfiles="https://github.com/MatzeB/${pkgname}/archive/${pkgname}-${version}.ta
 checksum=2e681db62610a41394f1aa3a62583acff8a67cea138354be6b3d2d8d390665c3
 
 case "$XBPS_TARGET_MACHINE" in
-	aarch64*|ppc64*) broken="Unsupported long double format" ;;
+	aarch64*|ppc*) broken="Unsupported long double format" ;;
 esac
 
 do_configure() {

From d0278b5acf1419fd92b4a458f2acd85f2d3cd952 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Mon, 10 Jun 2019 21:42:27 +0200
Subject: [PATCH 5/7] ion: broken on ppc (works upstream, does not release)

---
 srcpkgs/ion/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ion/template b/srcpkgs/ion/template
index 8ab0e2d09ce..3bb3aeb6653 100644
--- a/srcpkgs/ion/template
+++ b/srcpkgs/ion/template
@@ -13,7 +13,7 @@ distfiles="${homepage}/archive/${version}/${pkgname}-${version}.tar.gz"
 checksum=7c7f696060a82669cb9c73cf0ec1d07d4ffefbfd54fc60acad0179ca3f46716d
 
 case "$XBPS_TARGET_MACHINE" in
-	aarch64-musl) broken="https://build.voidlinux.org/builders/aarch64-musl_builder/builds/14113/steps/shell_3/logs/stdio"
+	aarch64-musl|ppc*) broken="https://build.voidlinux.org/builders/aarch64-musl_builder/builds/14113/steps/shell_3/logs/stdio"
 esac
 
 post_install() {

From 03edd9dd9b92b824f963a0432ca3d47350826c20 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Mon, 10 Jun 2019 21:43:35 +0200
Subject: [PATCH 6/7] libretro-mupen64plus: broken on ppc (works upstream, no
 releases)

---
 srcpkgs/libretro-mupen64plus/template | 1 +
 1 file changed, 1 insertion(+)

diff --git a/srcpkgs/libretro-mupen64plus/template b/srcpkgs/libretro-mupen64plus/template
index e98aaabba44..e76143e9d4b 100644
--- a/srcpkgs/libretro-mupen64plus/template
+++ b/srcpkgs/libretro-mupen64plus/template
@@ -16,6 +16,7 @@ checksum=643379eaa840d632cd8fa046fc4858cc8ccd5a57ce5991771ab16f1ef675cee2
 case "$XBPS_TARGET_MACHINE" in
 	i686*|x86_64*)  build_options_default="opengl";;
 	armv[67]*) build_options_default="rpi";;
+	ppc*) broken="not supported in this release";;
 esac
 
 do_build() {

From 3a6547031b6304983cfff2faedbd16f34f2a7ec3 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Mon, 10 Jun 2019 21:44:14 +0200
Subject: [PATCH 7/7] ppsspp: also broken on 32-bit ppc

[ci skip]
---
 srcpkgs/ppsspp/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ppsspp/template b/srcpkgs/ppsspp/template
index f15ef5c3c4d..17081ce1583 100644
--- a/srcpkgs/ppsspp/template
+++ b/srcpkgs/ppsspp/template
@@ -36,7 +36,7 @@ checksum="a7011feb0480a352d60e6a3c939d88d4d2e3a2e76620886b183aa2cb36f910de
 case $XBPS_TARGET_MACHINE in
 	x86_64* | i686*) configure_args+=" -DUNITTEST=ON";;
 	armv[67]*) broken="SDL2 is not build against x11";;
-	ppc64*) broken="No JIT support";;
+	ppc*) broken="No JIT support";;
 	*) configure_args+=" -DUNITTEST=OFF";;
 esac
 
